import os
from setuptools import setup, find_packages

with open(os.path.join(os.path.dirname(__file__), 'doc/readme.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='faceted-sesql',
    version='0.3.0',
    packages=find_packages(),
    include_package_data=True,
    description='Faceted SeSQL is a Django faceted navigation app working on top of SeSQL search engine.',
    long_description=README,
    author='Gael le Mignot',
    author_email='gael@pilotsystems.net',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Software Development',
        'Topic :: Software Development :: Libraries',
    ],
)
